# Marketing Cloud Campaigns API

## Introduction

This module enables the campaigns API in the Marketing Cloud as a service.

For details on individual API calls and the Marketing Cloud REST API, please
visit
https://developer.salesforce.com/docs/atlas.en-us.noversion.mc-apis.meta/mc-apis/routes.htm

## Service functions

| Name                              | Function                                    |
| --------------------------------- | ------------------------------------------- |
| Create campaign                   | createCampaign($json)                       |
| Get campaign collection           | getCampaignCollection($params)              |
| Get campaign                      | getCampaign($id)                            |
| Delete campaign                   | deleteCampaign($id)                         |
| Associate asset to campaign       | associateAssetToCampaign($id, $json)        |
| Get collection of campaign assets | getCollectionOfCampaignAssets($id)          |
| Get campaign asset                | getCampaignAsset($id, $assetId)             |
| Unassociate asset from campaign   | unassociateAssetFromCampaign($id, $assetId) |

## Requirements

 * marketing_cloud

## Installation

Please see marketing_cloud README.md

## Configuration

Please see marketing_cloud README.md for general configuration.

This module will add a tab to admin > config > marketing cloud. here you can
edit the individual rest call definitions.
