# Marketing Cloud Interaction API

## Introduction

This module enables the interaction API in the Marketing Cloud as a service.

For details on individual API calls and the Marketing Cloud REST API, please
visit
https://developer.salesforce.com/docs/atlas.en-us.noversion.mc-apis.meta/mc-apis/routes.htm

## Service functions

| Name                             | Function                                         |
| -------------------------------- | ------------------------------------------------ |
| Retrieve rest discovery document | retrieveRestDiscoveryDocument()                  |
| Insert journey                   | insertJourney($json)                             |
| Search journeys                  | searchJourneys($params, $json)                   |
| Update journey version           | updateJourneyVersion($json)                      |
| Create event definition          | createEventDefinition($json)                     |
| Fire event                       | fireEvent($json                                  |
| Get journey                      | getJourney($id)                                  |
| Delete journey                   | deleteJourney($id, $versionNumber)               |
| Get journey audit log            | getJourneyAuditLog($id, $action, $versionNumber) |
| Get publish status               | getPublishStatus($statusId)                      |
| Stop journey                     | stopJourney($id, $versionNumber)                 |
| Publish journey version          | publishJourneyVersion($id, $versionNumber)       |

## Requirements

* marketing_cloud

## Installation

Please see marketing_cloud README.md

## Configuration

Please see marketing_cloud README.md for general configuration.

This module will add a tab to admin > config > marketing cloud. here you can
edit the individual rest call definitions.
